For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Radio List

Get Radio List Configuration

get

Returns Radio List Configuration from the Edge. The Radio List API provides information about connected Radios (eNodeB, gNodeB) and all radio-related parameters such as “ip”, “id”, “status”, “tac”, “enodebname”, “sessiontime”(Uptime), “supportedplmns”(PLMNs supported in Radio)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
edgeIpstring · enumRequired

The IP address of the edge

Possible values:
Responses
200

Successful Response

application/json
get/v1/edge/{edgeIp}/radiolist
GET /api/v1/edge/{edgeIp}/radiolist HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful Response

{
  "radiolist": [
    [
      {
        "ip": "192.168.100.20",
        "id": "302",
        "rat": "4G",
        "status": "Active",
        "tac": "1",
        "enodebname": "Monogoto eNodeB",
        "sessiontime": "8393934978",
        "supportedplmns": [
          {
            "mccmnc": "315010"
          }
        ]
      },
      {
        "ip": "192.168.200.20",
        "id": "14",
        "rat": "5G",
        "status": "Active",
        "tac": "1",
        "enodebname": "Monogoto gNodeB",
        "sessiontime": "12345",
        "supportedplmns": [
          {
            "mccmnc": "315010"
          }
        ]
      }
    ]
  ]
}

Last updated

Was this helpful?